# -*- encoding: utf-8 -*-
# stub: puppet-lint-roles-profiles 0.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "puppet-lint-roles-profiles".freeze
  s.version = "0.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Hostnet".freeze]
  s.date = "2018-03-07"
  s.description = "    This puppet-lint extension validates that:\n    - node definitions only `include` a single role\n    - roles only `include` profiles and have no class parameters\n    - roles only `inherit` other roles\n".freeze
  s.email = "opensource@hostnet.nl".freeze
  s.homepage = "https://github.com/hostnet/puppet-lint-roles-profiles".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "puppet-lint check to validate that the codebase adheres to the roles and profiles workflow".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<puppet-lint>.freeze, [">= 1.1", "< 3.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rspec-its>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rspec-collection_matchers>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
  else
    s.add_dependency(%q<puppet-lint>.freeze, [">= 1.1", "< 3.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rspec-its>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rspec-collection_matchers>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
  end
end
